Subject: bug#52899: More info on guix home reconfigure behaviour

From: Bastien Rivière <[email-masked]>
Date: Tue, 26 Apr 2022 18:29:37 +0200

Hello,

Here is what I got on my end when running guix home:

> Loading /gnu/store/p74aw384nqzlw73ccr0167lyj8vlj3mr-shepherd.conf.
> herd: exception caught while executing 'load' on service 'root':
> In procedure fport_write: Broken pipe

I have same output when running ~herd load root~.

> > herd load root /gnu/store/p74aw384nqzlw73ccr0167lyj8vlj3mr-shepherd.conf
> Loading /gnu/store/p74aw384nqzlw73ccr0167lyj8vlj3mr-shepherd.conf.
> herd: exception caught while executing 'load' on service 'root':
> In procedure fport_write: Broken pipe

And the content of sheperd.conf is:

> (begin (use-modules (srfi srfi-34) (system repl error-handling)) (apply register-services (map (lambda (file) (load file)) (quote ("/gnu/store/amvwc8ljsw4v6035q5hi9wlrj5kdi8qv-shepherd-emacs-server.scm")))) (action (quote root) (quote daemonize)) (format #t "Starting services...~%") (let ((services-to-start (quote (emacs-server)))) (if (defined? (quote start-in-the-background)) (start-in-the-background services-to-start) (for-each start services-to-start)) (redirect-port (open-input-file "/dev/null") (current-input-port))))

Watching the log of shepherd, I have only this line:

> 2022-04-26 18:27:48 Loading /gnu/store/p74aw384nqzlw73ccr0167lyj8vlj3mr-shepherd.conf.

Tell me what I can do to help you debug this.